pptpd - modprobe

Dieses Thema im Forum "SuSE / OpenSuSE" wurde erstellt von hwCasey, 24.09.2006.

  1. #1 hwCasey, 24.09.2006
    hwCasey

    hwCasey Grünschnabel

    Dabei seit:
    24.09.2006
    Beiträge:
    4
    Zustimmungen:
    0
    Hallo,

    ich habe auf meinem Server per YASTden pptpd installiert und konfiguriert, leider kann ich ihn nicht startet.
    Erst kam die Fehlermeldung, dass modprobe nicht gefunden werden kann.
    Da ich kein Paket gefunden habe, hab ich die Dateien von einem anderen SuSE Server kopiert.
    Jetzt kommt beim Starten den pptpd immer die Meldung:

    Starting MS VPN server pptpdFATAL: Could not load /lib/modules/2.6.9-022stab078.14-enterprise/modules.dep: No such file or directory

    Wie bekomme ich vpn nun zum laufen?

    Bitte helft mir.

    gruß,
    simon
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. Lumpi

    Lumpi Haudegen

    Dabei seit:
    14.06.2006
    Beiträge:
    663
    Zustimmungen:
    0
    Ort:
    Dessau
    Hallo,

    nun das ist leicht zu erklären

    "modprobe" ist ein Befehl aus dem Paket module-init-tools
    Damit werden Module erstellt.
    Dieses hatte dir gefehlt.
    Wenn du was suchst und nicht die genaue Bezeichnung kennst
    kannst du in Yast auch noch "Beschreibung" "Bietet" & "Erfordert" ein Haken reinmachen.
    Dann wird von Yast überall gesucht ;)

    Also das o.g. Paket installieren.

    Deine Fehlermeldung ist auch klar....
    Da du nur kopiert und nicht installiert hast konnten die Abhängigkeiten nicht
    aufgelöst und somit gegebenfalls nachinstalliert werden.
    Schmeiss weg was du kopiert hast und installiere mit YAST :)

    Gruß Lumpi
     
  4. #3 hwCasey, 24.09.2006
    hwCasey

    hwCasey Grünschnabel

    Dabei seit:
    24.09.2006
    Beiträge:
    4
    Zustimmungen:
    0
    Danke für die schnelle Antwort.
    Ich habe alles was ich kopiert habe wieder gelöscht und das Paket per YAST installiert.

    Leider habe ich immer noch dieselbe Fehlermeldung.

    Woran kann das liegen?
     
  5. Lumpi

    Lumpi Haudegen

    Dabei seit:
    14.06.2006
    Beiträge:
    663
    Zustimmungen:
    0
    Ort:
    Dessau
    Hallo,

    Kann es sein, dass du dir einen eigenen Kernel gebaut, aber
    nicht durchkonfiguriert hast hast?
    Deine Module, sofern schon erstellt ;), liegen noch nicht wo sie sein sollten.
    Lese mal diesen Link hier
    Mit zehn Schritten zum eigenen Kernel


    Gruß Lumpi

    ANMERKUNG
    Wer sich sein System dabei zerschießt ist selber schuld!
    Hier findet eine Art "Fern-Support" statt und daher können diverse
    Hinweise und Hilfestellungen nicht unbedingt auf einzelne Systeme zutreffen!
     
  6. #5 hwCasey, 24.09.2006
    hwCasey

    hwCasey Grünschnabel

    Dabei seit:
    24.09.2006
    Beiträge:
    4
    Zustimmungen:
    0
    Besten Danke.

    Ich habe eine Standard SuSE 9.3 Installation.

    Das Problem konnte ich wie folgt löschen

    Verzeichnis /lib/modules/2.6.9-022stab078.14-enterprise/ selbst angelegt

    update-modules.dep ausgeführt

    schon war die gesuchte Datei da.

    nun kommt auch schon die nächste Fehlermeldung:
    Starting MS VPN server pptpdFATAL: Module ppp_mppe not found.

    das ist wirklich verrückt ...

    wenn jemand die antwort weiß, bitte verate sie mir ;-)
     
  7. Lumpi

    Lumpi Haudegen

    Dabei seit:
    14.06.2006
    Beiträge:
    663
    Zustimmungen:
    0
    Ort:
    Dessau
    Hallo,

    Du brauchst ein paar Patches
    Link

    Manchmal hilft auch google

    Gruß Lumpi
     
  8. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  9. #7 hwCasey, 24.09.2006
    hwCasey

    hwCasey Grünschnabel

    Dabei seit:
    24.09.2006
    Beiträge:
    4
    Zustimmungen:
    0
    sorry, ich hab noch nie nen patch installiert .... wie geht das?
     
  10. Lumpi

    Lumpi Haudegen

    Dabei seit:
    14.06.2006
    Beiträge:
    663
    Zustimmungen:
    0
    Ort:
    Dessau
    Hallo,

    Die patches im obigen Link sind etwas veraltet :brav:

    Aber Kernel-Patches sollten IMHO beim Systemupdate automatisch eingespielt werden.
    (heißt dann auch Kernel-Patch, also den auswählen ;) )
    Wenn nicht => suche ihn bitte selber
    (Nimm es mir nicht übel, aber googlen wirst du ja können :devil: )
    Wenn du ihn dann hast, "reingeschaut" und dennoch probleme damit,
    poste wieder in einem neuen Thread.

    Aber schau dir den Link hier mal an...

    Da steht auch was von PPTP, pppd & MPPE drin.

    Bei weiteren Rückfragen kann ich (wahrscheinlich) nicht weiterhelfen.
    Ich habe diese Tools nicht drauf und kann irgendwann
    das Ganze nicht mehr nachvollziehen.

    Aber frag ruhig weiter, mal schaun was wird. Ich geb mein Bestes.

    Gruß Lumpi
     
Thema:

pptpd - modprobe

Die Seite wird geladen...

pptpd - modprobe - Ähnliche Themen

  1. pptpd lässt keine Verbindung zu

    pptpd lässt keine Verbindung zu: Hi, ich möchte den pptpd unter debian einrichten, um dann mit meinem android von unterwegs per vpn verbinden zu können. die einstellungen habe...
  2. pptpd: Client-IPs auflisten

    pptpd: Client-IPs auflisten: Moin, stehe hier vor folgendem Problem: Auf einer (nat. geschützten) Website sollen alle per VPN (pptpd) eingeloggten User sammt ihrer...
  3. Suse 9.1 VPN mit pptpd

    Suse 9.1 VPN mit pptpd: Also irgend wie funzt das nicht Bei Suse 8.2 war das kein Problem! Die Verbindung wird zwar aufgebaut aber bei Benutzername und Kennwort wird...
  4. Hilfe bei Xorg.confi und modprobe

    Hilfe bei Xorg.confi und modprobe: Hi ! Ich hatte mir vor einiger Zeit eine Roccat kone pure geholt (gamer Maus). Als ich versucht habe die Treiber zu installieren lief irgendwas...
  5. startx meldet fehlendes nvidia, aber modprobe kann es laden

    startx meldet fehlendes nvidia, aber modprobe kann es laden: hi, wenn ich startx ausführe (während in der xorg.con nvidia als Treiber eingetragen ist) bekomme ich die Meldung das das Modul nvidia nicht...